Page MenuHomePhabricator

Enable VisualEditor for Portal Namespace on Korean Wikipedia
Closed, ResolvedPublic

Description

Steps to Reproduce:
visit One of the portals and see if there's visual edit available.

It's not avail even if I turned on visual editor in Settings.

Actual Results:

I can only use source editors.

Expected Results:

Community-consensus-needed : Discussion ongoing

Event Timeline

Gcd822 created this task.Jun 1 2019, 10:01 PM
Restricted Application added subscribers: revi, Aklapper. · View Herald TranscriptJun 1 2019, 10:01 PM

AFAICS VisualEditor was never enabled on Portal NS on Korean Wikipedia (by searching, tho). If you want to enable it, you need community consensus to do so.

Urbanecm changed the subtype of this task from "Bug Report" to "Task".Jun 2 2019, 7:43 AM
Urbanecm added a subscriber: Urbanecm.

Not a bug :)

revi claimed this task.Jun 5 2019, 9:40 AM
revi triaged this task as Medium priority.
revi added a project: User-revi.
revi updated the task description. (Show Details)
revi moved this task from Incoming to Doing on the User-revi board.Jun 5 2019, 9:46 AM
marcella moved this task from To Triage to Revisit on the VisualEditor board.Jun 18 2019, 3:33 PM
marcella added a subscriber: ppelberg.
ppelberg added a comment.EditedJun 18 2019, 4:09 PM

Thanks for filing @Gcd822 – we're pleased when we get requests to enable VE in more places.

With this said, as @revi points out (thank you), to enable VE in the Portal NS on Korean Wikipedia, we'll first need community consensus.

ppelberg moved this task from Revisit to Freezer on the VisualEditor board.Jun 18 2019, 4:10 PM
ppelberg moved this task from Freezer to Revisit on the VisualEditor board.
revi added a comment.Jun 27 2019, 10:01 AM

No opposition for 3-4 weeks, proceeding.

Change 519367 had a related patch set uploaded (by Revi; owner: Revi):
[operations/mediawiki-config@master] Add Portal Namespace to VisualEditor option on kowiki

https://gerrit.wikimedia.org/r/519367

revi renamed this task from Korean Wikipedia - Visual Editor doesn't show up when I edit portal namespace to Enable VisualEditor for Portal Namespace on Korean Wikipedia.Jun 27 2019, 10:13 AM
revi updated the task description. (Show Details)

Change 519367 merged by jenkins-bot:
[operations/mediawiki-config@master] Add Portal Namespace to VisualEditor option on kowiki

https://gerrit.wikimedia.org/r/519367

Mentioned in SAL (#wikimedia-operations) [2019-06-27T11:21:18Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:519367|Add Portal Namespace to VisualEditor option on kowiki (T224813)]] (duration: 00m 57s)

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJun 27 2019, 11:21 AM
revi moved this task from Doing to Closed on the User-revi board.Jun 27 2019, 11:23 AM
revi removed a project: Patch-For-Review.